# Uses of Class
org.apache.sysds.runtime.instructions.gpu.context.GPUObject

Packages that use GPUObject
Package
Description
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.instructions.gpu.context

## Uses of GPUObject in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return GPUObject
Modifier and Type
Method
Description
`GPUObject`
CacheableData.`getGPUObject(GPUContext gCtx)`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type GPUObject
Modifier and Type
Method
Description
`void`
CacheableData.`setGPUObject(GPUContext gCtx, GPUObject gObj)`

## Uses of GPUObject in org.apache.sysds.runtime.instructions.gpu.context

Methods in org.apache.sysds.runtime.instructions.gpu.context that return GPUObject
Modifier and Type
Method
Description
`GPUObject`
GPUContext.`createGPUObject(MatrixObject mo)`
Instantiates a new `GPUObject` initialized with the given `MatrixObject`.
`GPUObject`
GPUContext.`shallowCopyGPUObject(GPUObject source, MatrixObject mo)`
Shallow copy the given source `GPUObject` to a new `GPUObject` and assign that to the given `MatrixObject`.
Methods in org.apache.sysds.runtime.instructions.gpu.context with parameters of type GPUObject
Modifier and Type
Method
Description
`int`
GPUMemoryManager.EvictionPolicyBasedComparator.`compare(GPUObject p1, GPUObject p2)`
`void`
GPUMemoryManager.`removeGPUObject(GPUObject gpuObj)`
Removes the GPU object from the memory manager
`GPUObject`
GPUContext.`shallowCopyGPUObject(GPUObject source, MatrixObject mo)`
Shallow copy the given source `GPUObject` to a new `GPUObject` and assign that to the given `MatrixObject`.
Constructors in org.apache.sysds.runtime.instructions.gpu.context with parameters of type GPUObject
Modifier
Constructor
Description
``
`GPUObject(GPUContext gCtx, GPUObject that, MatrixObject mat)`
``
`ShadowBuffer(GPUObject gpuObj)`